(function($){
    "use strict";
    $(document).ready(function(){
        $(window).on('load', function() {
            cms_carousel_action();
        });
        function cms_carousel_action() {
            $('.cms_carousel-raw-element').each(function () {
                var _this = $(this),_parent=_this.parent(),atts= _this.attr('data-atts');
                $.post(ajax_data.url,{
                    action:'cms_carousel_get_content',
                    data:JSON.parse(atts)
                }).done(function(response) {
                    _this.replaceWith(response);
                    _parent.find(".cms-carousel").each(function(){
                        var $this = $(this),slide_id = $this.attr('id'),slider_settings = cmscarousel[slide_id];
                        if($this.attr('data-slidersettings')){
                            slider_settings = jQuery.parseJSON($this.attr('data-slidersettings'));
                        }
                        else{
                            slider_settings.margin = parseInt(slider_settings.margin);
                            slider_settings.loop = (slider_settings.loop==="true");
                            slider_settings.mouseDrag = (slider_settings.mouseDrag==="true");
                            slider_settings.nav = (slider_settings.nav==="true");
                            slider_settings.dots = (slider_settings.dots==="true");
                            slider_settings.dotData = ($(this).data('dotdata') === true);
                            slider_settings.center = ($(this).data('center') === true);
                            slider_settings.autoplay = (slider_settings.autoplay==="true");
                            slider_settings.autoplayTimeout =  parseInt(slider_settings.autoplayTimeout);
                            slider_settings.autoplayHoverPause = (slider_settings.autoplayHoverPause==="true");
                            slider_settings.smartSpeed = parseInt(slider_settings.smartSpeed);
                            if($('.cms-dot-container'+slide_id).length) {
                                slider_settings.dotsContainer = '.cms-dot-container' + slide_id;
                                slider_settings.dotsEach = true;
                            }
                        }
                        var item_count = $this.find('.cms-carousel-item').length;
                        if(item_count > 1)
                            $this.owlCarousel(slider_settings);
                        else if(item_count == 1)
                        {
                            slider_settings.margin = parseInt(slider_settings.margin);
                            slider_settings.loop = false;
                            slider_settings.mouseDrag = (slider_settings.mouseDrag==="true");
                            slider_settings.nav = (slider_settings.nav==="true");
                            slider_settings.dots = (slider_settings.dots==="true");
                            slider_settings.dotData = ($(this).data('dotdata') === true);
                            slider_settings.center = ($(this).data('center') === true);
                            slider_settings.autoplay = false;
                            slider_settings.autoplayTimeout =  undefined;
                            slider_settings.autoplayHoverPause =undefined;
                            slider_settings.smartSpeed = undefined;
                            if($('.cms-dot-container'+slide_id).length) {
                                slider_settings.dotsContainer = '.cms-dot-container' + slide_id;
                                slider_settings.dotsEach = true;
                            }
                            $this.owlCarousel(slider_settings);
                        }
                    });
                });
            });
        }

    });
})(jQuery)