<?php
/* custom billing fields */
function wp_barberia_override_checkout_fields( $fields ) {
	$fields['billing']['billing_first_name']['placeholder'] = esc_html__('First name *','laboom');
	$fields['billing']['billing_last_name']['placeholder'] = esc_html__('Last name *','laboom');
	$fields['billing']['billing_company']['placeholder'] = esc_html__('Company','laboom');
	$fields['billing']['billing_email']['placeholder'] = esc_html__('Email address *','laboom');
	$fields['billing']['billing_phone']['placeholder'] = esc_html__('Phone number *','laboom');
	$fields['billing']['billing_address_1']['placeholder'] = esc_html__('Address *','laboom');
	$fields['billing']['billing_postcode']['placeholder'] = esc_html__('Postal code','laboom');
	$fields['billing']['billing_city']['placeholder'] = esc_html__('City *','laboom');
	
	$fields['shipping']['shipping_first_name']['placeholder'] = esc_html__('First name *','laboom');
	$fields['shipping']['shipping_last_name']['placeholder'] = esc_html__('Last name *','laboom');
	$fields['shipping']['shipping_company']['placeholder'] = esc_html__('Company','laboom');
	$fields['shipping']['shipping_address_1']['placeholder'] = esc_html__('Address *','laboom');
	$fields['shipping']['shipping_postcode']['placeholder'] = esc_html__('Postal code','laboom');
	$fields['shipping']['shipping_city']['placeholder'] = esc_html__('City *','laboom');

	return $fields;
}
add_filter( 'woocommerce_checkout_fields' , 'wp_barberia_override_checkout_fields' );

/*remove text proceed to check out*/
remove_action( 'woocommerce_proceed_to_checkout', 'woocommerce_button_proceed_to_checkout', 20 ); 
/*change text proceed to check out*/
add_action('woocommerce_proceed_to_checkout', 'sm_woo_custom_checkout_button_text',20);
function sm_woo_custom_checkout_button_text() {
	?>
	<a href="<?php echo esc_url( wc_get_checkout_url() ) ;?>" class="checkout-button button alt wc-forward">
		<?php echo __( 'Checkout', 'laboom' ); ?>
	</a>
	<?php
} 
/* Change title structure */
if (!function_exists('woocommerce_template_single_title')) {
    function woocommerce_template_single_title()
    {
        global $opt_theme_options;
        $customtitle  = !empty($opt_theme_options['single_product_set_title_is_page_title']) ? $opt_theme_options['single_product_set_title_is_page_title'] : '0';
        $movetitle  = !empty($opt_theme_options['move_single_product_title_to_page_title']) ? $opt_theme_options['move_single_product_title_to_page_title'] : '0';
        if( $movetitle =='1' && $customtitle == '0')
            return;
            the_title('<h1 class="product_title entry-title">', '</h1>');
    }
}
