<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="initial-scale=1, width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body id="cms-theme" <?php body_class();?>>
	<?php if ( function_exists( 'wp_body_open' ) ) wp_body_open(); else  do_action( 'wp_body_open' ); ?>
<?php laboom_get_page_loading();?>
	<div id="page" class="hfeed site <?php laboom_header_layout_class(); laboom_slider_bg_overlay(); laboom_body_boxed();?>">
		<header id="masthead" class="site-header <?php laboom_header_layout_class();?>">
			<?php laboom_header()?>
		</header><!-- #masthead -->
		<?php laboom_page_title(); ?><!-- #page-title -->
		<div id="content" class="site-content">
